Bug 509483 - reconversion feature doesn't work
reconversion feature doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-anthy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
: i18n, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 22:53 EDT by Akira TAGOH
Modified: 2009-08-28 18:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.1.0.20090814-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-28 18:01:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for engine/engine.py (2.78 KB, patch)
2009-07-31 05:06 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2009-07-02 22:53:44 EDT
Description of problem:
As per ibus-anthy config UI, reconversion shortcut key are assigned to Shift+Henkan though, given that it behaves similarly to scim-anthy, even if selecting words and press Shift+Kenkan, nothing happens.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090612-1.fc11
ibus-anthy-1.1.0.20090603-1.fc11

How reproducible:
always

Steps to Reproduce:
1.turn on IM and type nihonngo and press space and enter to convert and commit.
2.select a word committed at step 1
3.press shift+henkan
  
Actual results:
nothing happens

Expected results:
should starts to reconvert

Additional info:
Comment 1 Jens Petersen 2009-07-28 05:29:41 EDT
seems true also for ibus-anthy-1.2.0.20090617-1.fc12
Comment 2 fujiwara 2009-07-31 04:58:52 EDT
I could reproduce this problem and now I got an idea to fix this.
Comment 3 fujiwara 2009-07-31 05:06:39 EDT
Created attachment 355782 [details]
Patch for engine/engine.py

I implemented __cmd_reconvert() in ibus-anthy.
When type Shift_R + Henkan_Mode, ibus-anthy calls __cmd_reconvert().

When I use gtk.Clipboard.wait_for_text(), ibus stopped with the timeout.
So I suggest to use gtk.Clipboard.request_text() at the moment.

I wonder which layer should implement GTK+ GUI. I updated the engine.py simply.
Comparing ibus with scim, the preedit color is different but I would expect it's not a big problem.
Comment 4 fujiwara 2009-08-13 05:16:15 EDT
It seems now is alpha freeze but the build is finised.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1602834
Comment 6 Fedora Update System 2009-08-14 02:01:54 EDT
ibus-anthy-1.1.0.20090814-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-anthy-1.1.0.20090814-1.fc11
Comment 7 Fedora Update System 2009-08-15 04:23:46 EDT
ibus-anthy-1.1.0.20090814-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-anthy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8610
Comment 8 Fedora Update System 2009-08-28 18:00:47 EDT
ibus-anthy-1.1.0.20090814-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.